Bug 1011687 - arm4 fails to build from source on F19
arm4 fails to build from source on F19
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: arm4 (Show other bugs)
19
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: David Carter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-24 16:44 EDT by D. Marlin
Modified: 2015-02-17 12:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:20:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description D. Marlin 2013-09-24 16:44:21 EDT
Description of problem:

The arm4 package fails to build from source on an up-to-date F19 host.


Version-Release number(s) of selected component (if applicable):

arm4-0.8.2-11
arm4-0.8.2-13

How reproducible:

consistently.


Steps to Reproduce:
1.  install srpm on an up-to-date F19 host, i.e., 
  rpm -i arm4-0.8.2-11.fc18.src.rpm
2.  attempt to build:
  rpmbuild -ba SPECS/arm4.spec
3.

Actual results:

    :
checking for db - version >= 4.3... yes
checking for db flags... 
checking db_cxx.h usability... no
checking db_cxx.h presence... no
checking for db_cxx.h... no
configure: error: require Berkeley DB C++ libraries
error: Bad exit status from /var/tmp/rpm-tmp.EKkWe7 (%build)


Expected results:

Package builds without errors.


Additional info:

The same package built successfully on F18.

It appears that the missing header file is no longer in a BuildRequires for this package.  By making the following change in the spec file, the package builds suggessfully on F19:

 BuildRequires: libuuid-devel openssl-devel db4-utils db4-devel libxml2-devel sqlite-devel xerces-c-devel ant ant-javadoc
+BuildRequires: libdb-cxx-devel
 BuildRequires: systemd-units
Comment 1 Fedora End Of Life 2015-01-09 14:58:18 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 12:20:25 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.